Class Appconfig

Declaration :

- C++ : class Appconfig

Singleton to hold inevitable global flags and constants and for performing erarly (static) global initialization tasks.

Artifact : appconfig

Attribut theApp_

Declaration :

- Uml : static, - theApp_ : Appconfig
- C++ : private: static Appconfig theApp_

holds the single instance and triggers initialization

Operation Appconfig

Declaration :

- Uml : - Appconfig() :
- C++ : private: Appconfig ()

perform initialization on first access.
A call is placed in static initialization code
included in lumiera.h

Operation instance

Declaration :

- Uml : static, - instance() : Appconfig*
- C++ : private: static Appconfig* instance ()

Operation get

Declaration :

- Uml : static, + get(inout key : string) : string
- C++ : public: static string get (string & key)

access the configuation value for a given key.
@return empty string for unknown keys, else the corresponding configuration value

All public operations : get